# Admin API

To run a node with the Admin API enabled, use command line argument `--api-admin-enabled=true`.

### Path <a href="#endpoint" id="endpoint"></a>

```
/ext/admin
```

### API Methods <a href="#api-methods" id="api-methods"></a>

#### admin.alias <a href="#adminalias" id="adminalias"></a>

Assign an alias to an API endpoint, basically a different endpoint for the API. The original endpoint will still work. This change only affects this node; other nodes will not know about this alias.

* `endpoint` is the original endpoint of the API. `endpoint` should only include the part of the endpoint after `/ext/`.
* The API being aliased can now be called at `ext/alias`.
* `alias` can be at most 512 characters.

### **Example Call**

```
//Request
curl -X POST --data '{
    "jsonrpc":"2.0",
    "id"     :1,
    "method" :"admin.alias",
    "params": {
        "alias":"testAlias",
        "endpoint":"bc/X"
    }
}' -H 'content-type:application/json;' https://ava-api.bwarelabs.com/<your-endpoint-id>/ext/admin

//Response
{
    "jsonrpc":"2.0",
    "id"     :1,
    "result" :{
        "success":true
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bwarelabs.com/api-docs/avalanche-api/admin-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
